package com.brilliance.isc.mda.dao;
import com.brilliance.isc.bo.Gid;

import com.brilliance.isc.bo.*;
import com.brilliance.isc.vo.lg.*;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Collection;
import java.util.List;
import java.util.Map;

@Mapper
public interface GidMapper {

    int insert(Gid record);

    int insertSelective(Gid record);

    int updateByPrimaryKeySelective(Gid record);

    int updateByPrimaryKey(Gid record);

    int updateFlwstaByinr(@Param("flwsta") String flwsta,@Param("inr") String inr);

    int deleteByPrimaryKey(Gid record);

    int deleteByIds(Collection<Object> collection);

    Gid selectByPrimaryKey(Gid record);

    int dyncDelete(Map<String, Object> dyncMap);

    List<Gid> dyncRead(Map<String, Object> dyncMap);

    int selectSeqname_LG3500();

    List<GidNidInfo> queryGidInfo(QueryConditionInfoVo conditionInfoVo);

    List<InfgidVo> queryInfgid(InfgidQueryConditionVo conditionVo);

    List<Gid> queryGidDynamic(@Param("property") String property, @Param("value") String value);

    String queryOwnrefByInr(@Param("inr") String inr);

    Gid getOpnDatByTrninr(String trninr);

    Gid selectByAnyref(@Param("objtyp") String objtyp,@Param("ref") String ref,@Param("rol") String rol);

    Gid selectByWhere(Gid record);

    Gid selectExpdatByTrninrZmg(@Param("trninr") String trninr);

    GidNidInfoVo querySingleGidInfo(QueryConditionInfoVo conditionInfoVo);

    GidNidInfoVo querySingleNidInfo(QueryConditionInfoVo conditionInfoVo);

    GidNidInfoVo querySingleGedInfo(QueryConditionInfoVo conditionInfoVo);

    GidNidInfoVo querySingleNedInfo(QueryConditionInfoVo conditionInfoVo);

    List<String> getInitButtons(QueryConditionInfoVo conditionInfoVo);

    String[] getSelButtons(QueryConditionInfoVo conditionInfoVo);

    Gid selectOneByOwnRef(@Param("ownRef") String ownRef);

    String selectByGcdOwnref(@Param("ownref") String ownref);

    List<String> queryOwnrefByOwnusr(@Param("ownusr") String ownusr);

    List<Trn> queryTrn(@Param("objtyp") String objtyp, @Param("objinr") String objinr,@Param("subobjtyp") String subobjtyp,@Param("chksubcon") String chksubcon,@Param("chktrnsta") String chktrnsta);

    Gid selectByInr(@Param("inr") String inr);

}